<template>
  <div class="guns-body guns-body-card">
    <a-card title="机构人员选择(input)" :bordered="false">
      <OrgUserComponent
        v-model:value="selectValue"
        :disabled="disabled"
        :readonly="readonly"
        :placeholder="placeholder"
        @onChange="onChange"
        style="width: 300px"
      ></OrgUserComponent>
    </a-card>
  </div>
</template>

<script setup>
import { ref } from 'vue';

// 选中的值
const selectValue = ref('');
// 是否禁用
const disabled = ref(false);

// 是否只读
const readonly = ref(false);

// 选择提示
const placeholder = ref('请选择');

// 值改变
const onChange = () => {
  console.log(selectValue.value);
};
</script>

<style></style>
